How to Install Request Tracker 4 in CentOS 5 / 6 | RHEL 5 / 6 [Part1/2]

Request Tracker is know as to RT, is a ticket-tracking system written in Perl and web based interface and RT is open source (FOSS) and distributed under the GNU General Public License.

RT is written in Perl Language and runs on the Apache and lighttd web server, is used mod_perl(Most used) or FastCGI and RT support Mysql, PostgreSQL, Oracle or SQLite databases, Also Provide the plug-ins into RT interface, which is written in Perl.



INDEX
1. Installtion & Configuration of Request Tracker [Part-1/2]
2. Post Configuration of Request Tracker [Part-2/2]

Blog Index
1. OS in preparation for RT
2. Install the extra repositories.
3. Installing the necessary package which will be use for Request Tracker.
4. Preparing PERL updates via CPAN.
5. Preparing Web and Database Services
6. Installing phpMyAdmin which manage Database.
7. Installing Request Tracker
8. Creating RT.conf file which will be used by Web Service httpd
9. Testing Request Tracker 4.x


*** Please write any Suggestion/Comment & Query in below box. ***

1. OS in preparation for RT
1.1 Enable System ETH0 to ONBOOT=yes :
# vi /etc/sysconfig/network-scripts/ifcfg-eth0

1.2 Disable firewall and SElinux :
# service iptables stop
# chkconfig iptables off
set SELINUX=disabled
# vi /etc/selinux/config
Restart system to make SELINUX changes take effect.

check SELINUX status
# sestatus

check if SSH Client is enabled
# service sshd status

If SSH Daemon is not running
# chkconfig sshd –- add
# chkconfig sshd on

2. Install the extra repositories.
Centos 5.x
# wget http://dl.fedoraproject.org/pub/epel/5/x86_64/epel-release-5-4.noarch.rpm
# wget http://rpms.famillecollet.com/enterprise/remi-release-5.rpm
# sudo rpm -Uvh remi-release-5*.rpm epel-release-5*.rpm
Centos 6.x
# wget http://dl.fedoraproject.org/pub/epel/6/x86_64/epel-release-6-8.noarch.rpm
# wget http://rpms.famillecollet.com/enterprise/remi-release-6.rpm
# sudo rpm -Uvh remi-release-6*.rpm epel-release-6*.rpm
If disable repositories then open /etc/yum.repos.d/*.repo files and change enable=0 to 1.
# yum clean all
# yum update

3. Installing the necessary package which will be use for Request Tracker.
# yum install  rpm* nmap expect vsftpd net-snmp* ntp* subversion subversion-devel 
mysql mysql-server mysql-devel screen perl-Crypt- PasswdMD5 graphviz php-xml 
php-cli php-mhash php-ldap php-devel php-pdo php-imap php-readline 
php-ncurses php-soap php-snmp php-common php-mcrypt php-odbc php-mbstring 
php-gd php-bcmath php php-xmlrpc php-pear php-mysql php-dba mod_perl-devel 
mod_auth_mysql mod_perl mod_authz_ldap gd gd-devel gd-progs gcc* 
-- exclude=gcc-java* -- exclude=gcc4-java phpmyadmin mod_fcgid perl-GD 
perl-GnuPG-Interface perl-GraphViz perl-YAML
Restart System

4. Preparing PERL updates via CPAN.
4.1 Now install perl & cpan packages:
# yum install perl*
# yum install cpan

4.2 Start CPAN shell:
# perl -MCPAN -e shell

4.3 Set cpan to auto-follow dependencies by entering this in the cpan shell:
cpan[1]> o conf prerequisites_policy follow
cpan[1]> o conf commit
cpan[1]> install Bundle::CPAN

4.4 Reload CPAN and Index:
cpan[1]> reload cpan
cpan[1]> reload index

5. Preparing Web and Database Services
5.1 Edit httpd.conf to make the following changes:
# vi /etc/httpd/config/httpd.conf
- comment out
  # LoadModule suexec_module modules/mod_suexec.so
- set ServerName to the IP address of the machine
  ServerName 192.168.0.              << **your server ip here**
- remove index.html.var from DirectoryIndex so it reads
  DirectoryIndex index.html
- comment out
  # AddHandler type-map var
  # AddType text/html .shtml
  # AddOutputFilter INCLUDES .shtml

5.2 Enanble http daemon and mysql:
# chkconfig httpd on
# chkconfig mysqld on
# service httpd start
# service mysqld start

5.3 Test daemon and web server:
#service httpd status
#service mysqld status

5.4 Test Web server(Apache)
http://Server IP Addr
You should be able to see Apache 2 Test Page powered by CentOS.


6. Installing phpMyAdmin which manage Database
6.1 we already installed phpMyAdmin from previous steps:
# yum list installed phpmyadmin

6.2 Now lets improve the security of your MySQL installation:
# /usr/bin/mysql_secure_installation

6.3 Configure phpMyAdmin.conf file
# vi /etc/httpd/conf.d/phpMyAdmin.conf
…
    
       SSLRequireSSL
       Order Deny,Allow
       Deny from All
       Allow from 127.0.0.1
       Allow from ::1
       Allow from 192.168.0           << *** your server IP address here ***
    

6.4 Restart http service:
# service httpd restart

6.5 Test phpMyAdmin
http://Dervice IP Addr/phpMyAdmin/
Use the root password


6.6 If you wish to reset MySQL root password then follow :
# mysqladmin -u root password NEW_PASSWORD_HERE
# service mysqld restart

7. Installing Request Tracker
7.1 Download RT from http://bestpractical.com/rt/download_file.html

7.2 untar RT packages:
# tar zxvf rt-4.0.5.tar.gz 

7.3. Change extracted folder permission for root account:
# chown -R root.root rt-4.0.5 

7.4. Change directory to rt-4.0.5

7.5. Create new group and user named rt and join that new user account in rt group:
# groupadd rt
# useradd -g rt rt

7.6. configuring RT 4.0.5:
#./configure –-with-db-type=mysql –-with-db-host=localhost –-with-web-user=apache
-–with-web-group=apache –-with-rt-group=rt –-prefix=/usr/local/rt 
–-enable-graphviz –-enable-gd –-enable-gpg

7.7 Run Fix Dependents script until all dependents are satisfied
# make fixdeps
if any issues when installing some dependencies perform
#cpan
cpan[1]>force install "dependency name"

7.8 Run Test Dependents script until all dependents are satisfied
# make testdeps

7.9 Install RT
# make install

8. Creating RT.conf file which will be used by Web Service httpd
8.1.Create rt.conf
#vi /etc/httpd/conf.d/rt.conf
AddDefaultCharset UTF-8
Alias /rt/NoAuth/images /usr/local/rt/share/html/NoAuth/images/
ScriptAlias /rt /usr/local/rt/sbin/rt-server.fcgi/

DocumentRoot “/usr/local/rt/share/html”
<location /rt>
       Order allow,deny
       Allow from all
       Options +ExecCGI
       AddHandler fcgid-script fcgi
</Location>

8.2 Modify RT_SiteConfig.pm
# vi /usr/local/rt/etc/RT_SiteConfig.pm
Set($WebPort, 443);
Set($WebPath, “/rt”);

8.3 Append users mode for rt account to group apache
# usermod -a -G rt apache

8.4 Restart web service
# service httpd restart

8.5 Initialize Database
# make initialize-database

9. Testing Request Tracker 4.0.5
http://Server ip address/rt/
Default Credentials
Username : root
Password : password ( change it asap )


Enjoy :)

Post Configuration of Request Tracker Part-2

Post Configuration of Request Tracker Part-2

*** Please write any Suggestion/Comment & Query in below box. ***

20 comments:

  1. Hi Expert
    I have install RT successfully, but i getting the msg in web browser like " CSRF(Cross Site Request Forgery) warnings" ;
    Plz solv this /

    ReplyDelete
    Replies
    1. In newer version of Request Tracker, many users faced such CSRF(Cross Site Request Forgery) warnings. Its security feature released to protect RT against Cross Site Request attacks. If you are using RT with multiple host names or it is redirected from external auth system then you should whitelist such hostname:port combinations in RT_Config file.

      Set(@ReferrerWhitelist, qw(www10.example.com:443 www3.example.com:80));

      Delete
  2. Well good job..........

    ReplyDelete
  3. what is your reason for turning off the Iptable service..

    ReplyDelete
  4. This is definitely not a tutorial for someone who does not have an understanding of how this work...you are doing many thing whit to little or no explanation at all of what this does or what that does.....

    ReplyDelete
  5. Great instructions but running into issues and not sure how to resolve it: Any tips / help really apreciated.

    Tnx & rgds Andre


    4.1 Now install perl & cpan packages:

    # yum install perl*

    Output gives me lots of errors and multiple pages of packages - are they really all required - anything starting with perl?

    I see stuff with e-bay mp3 PoE ......

    here last few entries of screen:
    Error: Package: perl-MP3-Info-1.24-1.el6.rf.noarch (rpmforge)
    Requires: perl(Mac::Dialogs)
    Error: Package: perl-RDF-RDFa-Parser-1.093-1.el6.rf.noarch (rpmforge)
    Requires: perl(RDF::Trine) >= 0.123
    Error: Package: perl-Egg-Release-3.14-1.el6.rf.noarch (rpmforge)
    Requires: perl(HTML::TagCloud)
    Error: Package: perl-Qpsmtpd-Plugin-Quarantine-1.02-1.el6.rf.noarch (rpmforge)
    Requires: perl(Qpsmtpd::Constants)
    Error: Package: perl-Inline-Guile-0.001-1.2.el6.rf.noarch (rpmforge)
    Requires: perl(Guile)
    Error: Package: perl-Egg-Release-3.14-1.el6.rf.noarch (rpmforge)
    Requires: perl(Apache::RequestUtil)
    Error: Package: perl-XML-Atom-Syndication-0.942-1.el6.rf.noarch (rpmforge)
    Requires: perl(XML::Elemental::Characters)
    Error: Package: perl-Class-Prototyped-1.11-1.el6.rf.noarch (rpmforge)
    Requires: perl(Class::Prototyped::Graph)
    Error: Package: perl-Apache-FastForward-1.1-1.el6.rf.noarch (rpmforge)
    Requires: perl(Net::eBay)
    Error: Package: perl-MP3-Info-1.24-1.el6.rf.noarch (rpmforge)
    Requires: perl(Mac::Windows)
    Error: Package: perl-XML-RSS-Parser-4.0-1.2.el6.rf.noarch (rpmforge)
    Requires: perl(XML::Elemental::Util)
    Error: Package: perl-Parse-Win32Registry-0.60-1.el6.rf.noarch (rpmforge)
    Requires: perl(Wx::DND)
    Error: Package: perl-ClearCase-CRDB-0.15-1.el6.rf.noarch (rpmforge)
    Requires: /opt/rational/common/bin/ratlperl
    Error: Package: perl-Plack-Middleware-Test-StashWarnings-0.06-1.el6.rf.noarch (rpmforge)
    Requires: perl(Plack)
    Error: Package: perl-MP3-Info-1.24-1.el6.rf.noarch (rpmforge)
    Requires: perl(Mac::Lists)
    You could try using --skip-broken to work around the problem
    You could try running: rpm -Va --nofiles --nodigest
    [root@rt ~]# yum install perl
    Loaded plugins: fastestmirror, security
    Loading mirror speeds from cached hostfile
    * base: mirror.bytemark.co.uk
    * epel: mirrors.ircam.fr
    * extras: mirrors.coreix.net
    * rpmforge: mirror1.hs-esslingen.de
    * updates: mirrors.manchester.m247.com
    Setting up Install Process
    Package 4:perl-5.10.1-131.el6_4.x86_64 already installed and latest version
    Nothing to do
    [root@rt ~]#

    ReplyDelete
  6. Hi all,

    great instrcutions but unfortunately I have to agree with the previous comment.

    I am one of the ones without the understanding of how this works and run into a problem at a very early stage.

    Tnx a mill for your help and advice in advance
    Andre

    4. Preparing PERL updates via CPAN.

    4.1 Now install perl & cpan packages:

    # yum install perl*

    This commant give me a lot of errors. Are really all packages starting with perl required?

    I see stuff about e-bay, mp3, PoE and so on.

    This is only a small section of the errors:

    Error: Package: perl-Egg-Release-3.14-1.el6.rf.noarch (rpmforge)
    Requires: perl(FormValidator::Simple)
    Error: Package: perl-AnyEvent-Qt-5.340-1.el6.rf.x86_64 (rpmforge)
    Requires: perl(Qt)
    Error: Package: perl-IPC-PubSub-0.29-1.el6.rf.noarch (rpmforge)
    Requires: perl(Jifty::DBI::Record)
    Error: Package: perl-IPC-PubSub-0.29-1.el6.rf.noarch (rpmforge)
    Requires: perl(Jifty::DBI::Schema)
    Error: Package: perl-AAC-Pvoice-0.91-1.el6.rf.noarch (rpmforge)
    Requires: perl(Wx::Event)
    Error: Package: perl-XML-Atom-Syndication-0.942-1.el6.rf.noarch (rpmforge)
    Requires: perl(XML::Elemental) >= 2.01
    Error: Package: perl-XML-LibXML-Enhanced-0.01-1.el6.rf.noarch (rpmforge)
    Requires: perl(Data::Eacherator)
    Error: Package: perl-UMMF-1.02-1.el6.rf.noarch (rpmforge)
    Requires: perl(UMMF::UML::MetaMetaModel::FactoryBoot)
    Error: Package: perl-Net-Dict-2.07-1.el6.rf.noarch (rpmforge)
    Requires: perl(AppConfig::Std)
    Error: Package: perl-MP3-Info-1.24-1.el6.rf.noarch (rpmforge)
    Requires: perl(Mac::Dialogs)
    Error: Package: perl-RDF-RDFa-Parser-1.093-1.el6.rf.noarch (rpmforge)
    Requires: perl(RDF::Trine) >= 0.123
    Error: Package: perl-Egg-Release-3.14-1.el6.rf.noarch (rpmforge)
    Requires: perl(HTML::TagCloud)
    Error: Package: perl-Qpsmtpd-Plugin-Quarantine-1.02-1.el6.rf.noarch (rpmforge)
    Requires: perl(Qpsmtpd::Constants)
    Error: Package: perl-Inline-Guile-0.001-1.2.el6.rf.noarch (rpmforge)
    Requires: perl(Guile)
    Error: Package: perl-Egg-Release-3.14-1.el6.rf.noarch (rpmforge)
    Requires: perl(Apache::RequestUtil)
    Error: Package: perl-XML-Atom-Syndication-0.942-1.el6.rf.noarch (rpmforge)
    Requires: perl(XML::Elemental::Characters)
    Error: Package: perl-Class-Prototyped-1.11-1.el6.rf.noarch (rpmforge)
    Requires: perl(Class::Prototyped::Graph)
    Error: Package: perl-Apache-FastForward-1.1-1.el6.rf.noarch (rpmforge)
    Requires: perl(Net::eBay)
    Error: Package: perl-MP3-Info-1.24-1.el6.rf.noarch (rpmforge)
    Requires: perl(Mac::Windows)
    Error: Package: perl-XML-RSS-Parser-4.0-1.2.el6.rf.noarch (rpmforge)
    Requires: perl(XML::Elemental::Util)
    Error: Package: perl-Parse-Win32Registry-0.60-1.el6.rf.noarch (rpmforge)
    Requires: perl(Wx::DND)
    Error: Package: perl-ClearCase-CRDB-0.15-1.el6.rf.noarch (rpmforge)
    Requires: /opt/rational/common/bin/ratlperl
    Error: Package: perl-Plack-Middleware-Test-StashWarnings-0.06-1.el6.rf.noarch (r pmforge)
    Requires: perl(Plack)
    Error: Package: perl-MP3-Info-1.24-1.el6.rf.noarch (rpmforge)
    Requires: perl(Mac::Lists)
    You could try using --skip-broken to work around the problem
    You could try running: rpm -Va --nofiles --nodigest
    [root@rt ~]#

    ReplyDelete
    Replies
    1. hi
      use this command:
      wget http://www.cpan.org/src/perl-5.8.8.tar.gz tar -xzvf stable.tar.gz cd perl-5.8.8 ./Configure -Dprefix=/usr -Dusethreads make make test make install

      or

      # yum install perl* --skip-broken

      Enjoy OpenSource

      Delete
  7. Thanks for the article. I have installed RT successfully into my RHEL 5.6 system. However, if I run http://localhost/rt I am getting a 404 page not found error. I followed the steps exactly as mentioned in this post.

    ReplyDelete
    Replies
    1. Welcome to response.

      Delete
    2. run the ip(192.x.x.x/rt) where you installed it instead of http://localhost/rt

      Delete
  8. yum install perl*

    Really? That installs a bunch of packages RT does not need.

    ReplyDelete
  9. I thinks in mistake in this command,plz solveing it............
    7.6. configuring RT 4.0.5:
    #./configure –- with-db-type=mysql –- with-db-host=localhost –- with-web-user=apache
    -– with-web-group=apache –- with-rt-group=rt –- p

    ReplyDelete
    Replies
    1. Thanks for reporting the probs.
      Now , i hav correcting..................

      Delete
  10. Hi____

    how to change domain name in rt that means home page have a example.com, want change to something

    ReplyDelete
  11. Article writing is also a fun, if you be acquainted with then you can write otherwise it is complex to write.



    My web site; iddaa siteleri

    ReplyDelete
  12. Good day! I could have sworn I've visited this
    site before but after browsing through some of the articles I realized it's new to me.
    Anyhow, I'm certainly delighted I found it and I'll be book-marking it and checking back often!

    Also visit my site Christian Louboutin Sale

    ReplyDelete
  13. Hello, I log on to your blog regularly. Your story-telling style is witty,
    keep up the good work!

    Here is my web blog :: dragon city hack tool

    ReplyDelete
  14. Link exchange is nothing else but it is simply placing the other person's webpage link on your
    page at appropriate place and other person will also do same
    in support of you.

    Take a look at my homepage ... Christian Louboutin Australia

    ReplyDelete
  15. I have read so many articles about the blogger
    lovers except this paragraph is genuinely a good piece of
    writing, keep it up.

    my webpage: Christian Louboutin Toronto

    ReplyDelete